import { h } from "@stencil/core";
export class Breadcrumb {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Aligned to the center
         */
        this.isCentered = false;
        /**
         * Aligned to the right
         */
        this.isRight = false;
    }
    render() {
        return (h("nav", { class: {
                breadcrumb: true,
                [this.size]: !!this.size,
                [this.separator]: !!this.separator,
                'is-centered': this.isCentered,
                'is-right': this.isRight,
                [this.class]: !!this.class,
            }, "aria-label": "breadcrumbs" },
            h("slot", null)));
    }
    static get is() { return "b-breadcrumb"; }
    static get originalStyleUrls() { return {
        "$": ["breadcrumb.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["breadcrumb.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        },
        "isCentered": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Aligned to the center"
            },
            "attribute": "is-centered",
            "reflect": false,
            "defaultValue": "false"
        },
        "isRight": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Aligned to the right"
            },
            "attribute": "is-right",
            "reflect": false,
            "defaultValue": "false"
        },
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-small' | 'is-medium' | 'is-large'",
                "resolved": "\"is-large\" | \"is-medium\" | \"is-small\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Size"
            },
            "attribute": "size",
            "reflect": false
        },
        "separator": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "| 'has-arrow-separator'\n    | 'has-bullet-separator'\n    | 'has-dot-separator'\n    | 'has-succeeds-separator'",
                "resolved": "\"has-arrow-separator\" | \"has-bullet-separator\" | \"has-dot-separator\" | \"has-succeeds-separator\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Separator"
            },
            "attribute": "separator",
            "reflect": false
        }
    }; }
}
