import { h, Host } from "@stencil/core";
export class Pagination {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Rounded
         */
        this.isRounded = false;
    }
    render() {
        return (h(Host, null,
            h("nav", { class: {
                    pagination: true,
                    [this.size]: !!this.size,
                    [this.alignment]: !!this.alignment,
                    'is-rounded': this.isRounded,
                    [this.class]: !!this.class,
                }, role: "navigation", "aria-label": "pagination" },
                h("slot", { name: "pagination-previous" },
                    h("a", { class: "pagination-previous" }, "Previous")),
                h("slot", { name: "pagination-next" },
                    h("a", { class: "pagination-next" }, "Next page")),
                h("ul", { class: "pagination-list" },
                    h("li", null,
                        h("a", { class: "pagination-link", "aria-label": "Goto page 1" }, "1")),
                    h("li", null,
                        h("span", { class: "pagination-ellipsis" }, "\u2026")),
                    h("li", null,
                        h("a", { class: "pagination-link", "aria-label": "Goto page 45" }, "45")),
                    h("li", null,
                        h("a", { class: "pagination-link is-current", "aria-label": "Page 46", "aria-current": "page" }, "46")),
                    h("li", null,
                        h("a", { class: "pagination-link", "aria-label": "Goto page 47" }, "47")),
                    h("li", null,
                        h("span", { class: "pagination-ellipsis" }, "\u2026")),
                    h("li", null,
                        h("a", { class: "pagination-link", "aria-label": "Goto page 86" }, "86"))))));
    }
    static get is() { return "b-pagination"; }
    static get originalStyleUrls() { return {
        "$": ["pagination.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["pagination.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        },
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-small' | 'is-medium' | 'is-large'",
                "resolved": "\"is-large\" | \"is-medium\" | \"is-small\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Pagination size"
            },
            "attribute": "size",
            "reflect": false
        },
        "alignment": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'is-centered' | 'is-right'",
                "resolved": "\"is-centered\" | \"is-right\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Alignment"
            },
            "attribute": "alignment",
            "reflect": false
        },
        "isRounded": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Rounded"
            },
            "attribute": "is-rounded",
            "reflect": false,
            "defaultValue": "false"
        }
    }; }
}
