import centered from '@storybook/addon-centered/html';
import notes from './readme.md';
import { storiesOf } from '@storybook/html';
import { select, boolean } from '@storybook/addon-knobs';
const sizes = {
    small: 'is-small',
    normal: 'is-normal',
    medium: 'is-medium',
    large: 'is-large',
    none: null,
};
const colors = {
    primary: 'is-primary',
    link: 'is-link',
    info: 'is-info',
    success: 'is-success',
    danger: 'is-danger',
    warning: 'is-warning',
    white: 'is-white',
    light: 'is-light',
    dark: 'is-dark',
    black: 'is-black',
    text: 'is-text',
    none: null,
};
storiesOf('Elements|Button', module)
    .addDecorator(centered)
    .addParameters({
    notes: {
        markdown: notes,
    },
})
    .add('Example', () => {
    return `
      <b-button
        size=${select('Size', sizes, null)}
        color=${select('Color', colors, null)}
        disabled=${boolean('Disabled', false)}
      >
        Button
      </b-button>
    `;
});
