import { h } from "@stencil/core";
export class Table {
    constructor() {
        /**
         * Bordered
         */
        this.isBordered = false;
        /**
         * Striped
         */
        this.isStriped = false;
        /**
         * Narrow
         */
        this.isNarrow = false;
        /**
         * Hoverable
         */
        this.isHoverable = false;
        /**
         * Fullwidth
         */
        this.isFullwidth = false;
    }
    render() {
        return (h("table", { class: {
                table: true,
                [this.class]: !!this.class,
                'is-bordered': this.isBordered,
                'is-striped': this.isStriped,
                'is-narrow': this.isNarrow,
                'is-hoverable': this.isHoverable,
                'is-fullwidth': this.isFullwidth,
            } },
            h("thead", null,
                h("tr", null,
                    h("th", null, "Tr Head"))),
            h("tbody", null,
                h("tr", null,
                    h("th", null, "Tr Body"))),
            h("tfoot", null,
                h("tr", null,
                    h("th", null, "Tr Foot")))));
    }
    static get is() { return "b-table"; }
    static get originalStyleUrls() { return {
        "$": ["table.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["table.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false
        },
        "isBordered": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Bordered"
            },
            "attribute": "is-bordered",
            "reflect": false,
            "defaultValue": "false"
        },
        "isStriped": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Striped"
            },
            "attribute": "is-striped",
            "reflect": false,
            "defaultValue": "false"
        },
        "isNarrow": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Narrow"
            },
            "attribute": "is-narrow",
            "reflect": false,
            "defaultValue": "false"
        },
        "isHoverable": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Hoverable"
            },
            "attribute": "is-hoverable",
            "reflect": false,
            "defaultValue": "false"
        },
        "isFullwidth": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Fullwidth"
            },
            "attribute": "is-fullwidth",
            "reflect": false,
            "defaultValue": "false"
        }
    }; }
}
