import { h } from "@stencil/core";
export class Column {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
        this._narrowBreakpoints = [];
    }
    componentWillLoad() {
        if (this.narrowBreakpoints) {
            this._narrowBreakpoints = JSON.parse(this.narrowBreakpoints);
        }
    }
    render() {
        return (h("div", { class: Object.assign(Object.assign({ column: true, 'is-narrow': this.isNarrow && typeof this.isNarrow === 'boolean' }, (this.isNarrow &&
                this._narrowBreakpoints.length > 0 &&
                (() => {
                    return this._narrowBreakpoints.reduce((obj, breakpoint) => {
                        Object.assign(obj, {
                            [`is-narrow-${breakpoint}`]: true,
                        });
                        return obj;
                    }, {});
                })())), { [this.class]: !!this.class }) },
            h("slot", null)));
    }
    static get is() { return "b-column"; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        },
        "sizes": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Sizes"
            },
            "attribute": "sizes",
            "reflect": false
        },
        "isNarrow": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Narrow column"
            },
            "attribute": "is-narrow",
            "reflect": false
        },
        "narrowBreakpoints": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Narrow breakpoints"
            },
            "attribute": "narrow-breakpoints",
            "reflect": false
        }
    }; }
}
